Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 241732 - JPA 2.1 persistence provider for WildFly
JPA 2.1 persistence provider for WildFly
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: WildFly
8.0
PC Mac OS X
: P3 (vote)
: TBD
Assigned To: ehsavoie
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-12 03:52 UTC by arungupta
Modified: 2014-02-26 07:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arungupta 2014-02-12 03:52:24 UTC
Create a new Java EE 7 Web application
Target the application to WildFly
Create a new Persistence Unit by right-clicking on project and selecting "New Persistence Unit"

The only Persistence Provider shown is "EclipseLink (JPA 2.1)(default)". And the message shown is:

"JPA 2.1 is not supported by the server, JPA 2.0 will be used"

This is an incorrect message as WildFly is Java EE 7 compliant and container JPA 2.1-compliant implementation from Hibernate.
Comment 1 Sergey Petrov 2014-02-12 07:37:37 UTC
wildfly plugin should report 2.1 as supported/hibernate as default
Comment 2 Quality Engineering 2014-02-13 02:44:19 UTC
Integrated into 'main-silver', will be available in build *201402130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a5a190446fa7
User: Emmanuel Hugonnet <ehsavoie@netbeans.org>
Log: Fixing bug #241590 : Updating the default dir for choosing configuration
Fixing bug #241732 : Adding support for JPA 2.1
Comment 3 Sergey Petrov 2014-02-13 10:27:23 UTC
is it fixed or require more work to be done?
Comment 4 ehsavoie 2014-02-13 10:30:10 UTC
The code has been updated for JPA 2.1 but I have not released a 'new' version of the plugin which means it should be in the next nightly build but you shouldn't see it (for now) in the update center.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo